-------------------------------------------------------------------
Tue Jun 21 11:38:10 UTC 2011 - mmarek@novell.com

- Updated to 3.0-rc4:
  - USB_NET_KALMIA=m
  - BACKLIGHT_ADP8870=m

-------------------------------------------------------------------
Fri Jan 21 02:35:17 CET 2011 - trenn@suse.de

- CONFIG_EVENT_POWER_TRACING_DEPRECATED=y
  power:power_start/end tracing events got replace by power:cpu_idle
  Let's still throw the old ones as well for a while to stay
  compatible with current userspace tools.

-------------------------------------------------------------------
Mon Jan 10 15:31:41 CET 2011 - jeffm@suse.de

- Enabled AGP modules to build as part of the static i386 kernel:
  - bnc#609607
  - CONFIG_AGP_ALI=y
  - CONFIG_AGP_ATI=y
  - CONFIG_AGP_AMD=y
  - CONFIG_AGP_NVIDIA=y
  - CONFIG_AGP_SWORKS=y
  - CONFIG_AGP_EFFICEON=y

-------------------------------------------------------------------
Mon Dec 13 12:17:15 CEST 2010 - jbeulich@novell.com

- */xen: XEN_NETDEV_LOOPBACK=n (no longer needed/supported).

-------------------------------------------------------------------
Fri Dec 10 09:20:36 CEST 2010 - jbeulich@novell.com

- */xen: CONFIG_XEN_COMPAT=0x040000.

-------------------------------------------------------------------
Tue Nov 16 20:18:04 CET 2010 - jeffm@suse.de

- Updated to 2.6.36-rc2:
  - SYSFS_DEPRECATED: enable deprecated sysfs features to support
                      old userspace tools
    - Disabled; defaults to n
    - Userspace tools should be updated. If they aren't by
      release time we can enable this.

  - JUMP_LABEL: Optimize trace point call sites
    - With compiler support, allows trace points to be optimized
      out entirely until used
    - Enabled; defaults to n

  - BLK_DEV_THROTTLING: Block layer bio throttling support
    - Adds a blkio cgroup container for creating per-device IO
      rate policies
    - Enabled; defaults to n

  - IRQ_TIME_ACCOUNTING: Fine granularity task level IRQ time accounting
    - Adds a timestamp during transitions between softirq and
      hardirq state
    - Disabled; defaults to n
    - There is a performance impact and its usefulness is
      questionable unless you're working on a driver.

  - X86_RESERVE_LOW: Amount of low memory, in kilobytes, to reserve
                     for the BIOS
    - Reserve low memory for the BIOS; Some BIOSes can trash parts
      of low memory during suspend/resume or hotplug events
    - Set to 64k; the default

  - PM_OPP: Operating Performance Point (OPP) Layer library
    - Represents voltage domains for certain SoCs
    - Disabled; defaults to n
    - openSUSE isn't targetting x86-based SoCs so this is
      unnecessary

  - BKL: Big Kernel Lock
    - Enabled; defaults to y
    - While it would be nice to answer n here, it's really only meant for
      developers working on BKL removal

  - SPARSE_RCU_POINTER: RCU debugging: sparse-based checks for pointer usage
    - Disabled; defaults to n

  - TEST_LIST_SORT: Linked list sorting test
    - Disabled; defaults to n

  - PHONET_PIPECTRLR: Phonet Pipe Controller
    - Disabled; defaults to n
    - Experimental

  - BLK_DEV_RBD: Rados block device (RBD)
    - The Rados block device, which stripes a block device over objects
      stored in the Ceph distributed object store.
    - Enabled as m; defaults to n

  - Networking features:
    - NET_ACT_CSUM: Checksum Updating
      - Update a common checksum after some direct packet alterations
      - Enabled as m; defaults to n
    - NET_IPGRE_DEMUX: IP: GRE demultiplexer
      - This is helper module to demultiplex GRE packets on GRE version
        field criteria.
      - Enabled as m; defaults to n
    - IP_VS_PE_SIP: SIP persistence engine
      - Allow persistence based on the SIP Call-ID
      - Enabled as m; defaults to n
    - PPTP: PPP over IPv4 (PPTP) (EXPERIMENTAL)
      - In-kernel acceleration for PPTP connections
      - Enabled as m; defaults to n

  - File system features:
    - FANOTIFY: Filesystem wide access notification
      - Enabled; defaults to n
      - FANOTIFY_ACCESS_PERMISSIONS: fanotify permissions checking
        - Enabled; defaults to n
    - NFS_USE_NEW_IDMAPPER: Use the new idmapper upcall routine (NFS)
      - Disabled; defaults to n
      - Can be enabled when userspace support is confirmed
    - NFSD_DEPRECATED: Include support for deprecated syscall interface to NFSD
      - Enabled; defaults to y
      - Can be disabled when userspace support for the fs-based interface is
        confirmed
    - 9P_FS_POSIX_ACL: 9P POSIX Access Control Lists
      - Enabled; defaults to n
    - CEPH_LIB: Ceph core library
      - cephlib, which provides the common functionality to both the Ceph
        filesystem and to the rados block device (rbd).
      - Enabled as m; defaults to n
      - PRETTYDEBUG: Include file:line in ceph debug output
        - Enabled; defaults to n
        - There aren't a lot of ceph users out there and since this is still
          experimental, any help in debugging is a plus.

  - New driver support; All are modular
    - APDS9802ALS: Medfield Avago APDS9802 ALS Sensor module (APDS9802ALS)
      - ALS APDS9802 ambient light sensor
    - ISL29020: Intersil ISL29020 ambient light sensor
    - SENSORS_BH1770: BH1770GLC / SFH7770 combined ALS - Proximity sensor
    - SENSORS_APDS990X: APDS990X combined als and proximity sensors
    - PCH_CAN: PCH CAN
      - PCH CAN of Topcliff which is an IOH for x86 embedded processor
    - PCH_PHUB: PCH Packet Hub of Intel Topcliff
    - PCH_GBE: PCH Gigabit Ethernet
    - GPIO_PCH: PCH GPIO of Intel Topcliff
    - SPI_TOPCLIFF_PCH: Topcliff PCH SPI Controller
    - GPIO_BASIC_MMIO: Basic memory-mapped GPIO controllers support
    - GPIO_VX855: VIA VX855/VX875 GPIO
    - GPIO_74X164: 74x164 serial-in/parallel-out 8-bits shift register
    - BATTERY_BQ20Z75: TI BQ20z75 gas gauge
    - SENSORS_GPIO_FAN: GPIO fan
    - SENSORS_LTC4261: Linear Technology LTC4261
    - SENSORS_W83795: Winbond/Nuvoton W83795G/ADG
      - SENSORS_W83795_FANCTRL: Include fan control support (DANGEROUS)
        - Disabled; defaults to n
    - CAN_TSCAN1: TS-CAN1 PC104 boards
      - Technologic Systems' TSCAN-1 PC104 boards.
    - OLPC_XO1: OLPC XO-1 support
      - Support for non-essential features of the OLPC XO-1 laptop
    - SCSI_CXGB4_ISCSI: Chelsio T4 iSCSI support
    - BCM63XX_PHY: Broadcom 63xx SOCs internal PHY
    - BNA: Brocade 1010/1020 10Gb Ethernet Driver support
    - USB_NET_CX82310_ETH: Conexant CX82310 USB ethernet port
    - TABLET_USB_HANWANG: Hanwang Art Master III tablet support (USB)
    - TOUCHSCREEN_BU21013: BU21013 based touch panel controllers
    - SERIO_PS2MULT: TQC PS/2 multiplexer
    - I2C_MUX_PCA9541: NXP PCA9541 I2C Master Selector
    - I2C_INTEL_MID: Intel Moorestown/Medfield Platform I2C controller
    - MFD_MC13XXX: Freescale MC13783 and MC13892
    - MFD_VX855: VIA VX855/VX875 integrated south bridge
    - REGULATOR_MAX8952: Maxim MAX8952 Power Management IC
    - REGULATOR_LP3972: National Semiconductors LP3972 PMIC regulator driver
    - IR_RC5_SZ_DECODER: raw decoder for the RC-5 (streamzap) protocol
    - IR_NUVOTON: Nuvoton w836x7hg Consumer Infrared Transceiver
    - VIDEO_VIVI: Virtual Video Driver
    - VIDEO_SR030PC30: SR030PC30 VGA camera sensor
    - VIDEO_VIA_CAMERA: VIAFB camera controller
      - SOC_CAMERA_IMX074: imx074 support
        - Enabled as module; defaults to n
    - SOC_CAMERA_OV6650: ov6650 sensor
    - USB_GSPCA_KONICA: Konica USB Camera V4L2 driver
    - USB_GSPCA_XIRLINK_CIT: Xirlink C-It USB Camera
    - DVB_USB_LME2510: LME DM04/QQBOX DVB-S USB2.0 support
    - STUB_POULSBO: Intel GMA500 Stub Driver
    - SND_ALOOP: Generic loopback driver (PCM)
    - SND_AZT1605: Aztech AZT1605 Driver
    - SND_AZT2316: Aztech AZT2316 Driver
    - HID_UCLOGIC: UC-Logic
    - HID_WALTOP: Waltop
    - HID_ROCCAT_PYRA: Roccat Pyra mouse support
    - USB_UAS: USB Attached SCSI
    - USB_SERIAL_SAMBA: USB Atmel SAM Boot Assistant (SAM-BA) driver
    - USB_YUREX: USB YUREX driver support
    - MMC_USHC: USB SD Host Controller (USHC) support
    - EDAC_MCE_INJ: Simple MCE injection interface over /sysfs
    - EDAC_I7300: Intel Clarksboro MCH
    - IDEAPAD_LAPTOP: Lenovo IdeaPad Laptop Extras
    - IBM_RTL: IBM Premium Real Time Mode
    - XO1_RFKILL: OLPC XO-1 software RF kill switch
    - R8712U: RealTek RTL8712U (RTL8192SU) Wireless LAN NIC driver
      - R8712_AP: Realtek RTL8712U AP code
        - Disabled; defaults to n
    - CARL9170: Linux Community AR9170 802.11n USB support
      - This is another driver for the Atheros "otus" 802.11n USB devices.
      - CARL9170_LEDS: SoftLED Support
        - Necessary for LED blinking
	- Enabled; defaults to y
      - CARL9170_DEBUGFS: DebugFS Support
        - Disabled; defaults to n
    - STMMAC_ETH: STMicroelectronics 10/100/1000 Ethernet driver
      - STMMAC_DA: STMMAC DMA arbitration scheme
        - forces rx priority over tx instead of 1:1 priority
	- Disabled; defaults to n
      - STMMAC_DUAL_MAC: STMMAC: dual mac support (EXPERIMENTAL)
        - Some ST SoCs (for example the stx7141 and stx7200c2) have
	  two Ethernet Controllers. This option turns on the second
	  Ethernet device on this kind of platforms.
	- Enabled; defaults to n

  - Staging Drivers:
    - SENSORS_ISL29018: ISL 29018 light and proximity sensor
    - SENSORS_AK8975: Asahi Kasei AK8975 3-Axis Magnetometer
    - LIRC_PARALLEL: Homebrew Parallel Port Receiver for LIRC
    - SBE_2T3E3: SBE wanPMC-2T3E3 support
    - USB_ENESTORAGE: USB ENE card reader support
    - BCM_WIMAX: Beceem BCS200/BCS220-3 and BCSM250 wimax support
    - FT1000: Flarion ft1000
      - FT1000_USB: ft1000 usb devices
        - Enabled as module; defaults to n
    - SPEAKUP: Speakup core
    - SPEAKUP_SYNTH_ACNTSA: Accent SA synthesizer support
    - SPEAKUP_SYNTH_ACNTPC: Accent PC synthesizer support
    - SPEAKUP_SYNTH_APOLLO: Apollo II synthesizer support
    - SPEAKUP_SYNTH_AUDPTR: Audapter synthesizer support
    - SPEAKUP_SYNTH_BNS: Braille 'n' Speak synthesizer support
    - SPEAKUP_SYNTH_DECTLK: DECtalk Express synthesizer support
    - SPEAKUP_SYNTH_DECEXT: DECtalk External (old) synthesizer support
    - SPEAKUP_SYNTH_DECPC: DECtalk PC (big ISA card) synthesizer support
    - SPEAKUP_SYNTH_DTLK: DoubleTalk PC synthesizer support
    - SPEAKUP_SYNTH_KEYPC: Keynote Gold PC synthesizer support
    - SPEAKUP_SYNTH_LTLK: DoubleTalk LT/LiteTalk synthesizer support
    - SPEAKUP_SYNTH_SOFT: Userspace software synthesizer support
    - SPEAKUP_SYNTH_SPKOUT: Speak Out synthesizer support
    - SPEAKUP_SYNTH_TXPRT: Transport synthesizer support
    - SPEAKUP_SYNTH_DUMMY: Dummy synthesizer driver (for testing)
    - RTC_DRV_MC13XXX: Freescale MC13xxx RTC
    - BRCM80211: Broadcom IEEE802.11n WLAN drivers
    - AD799X: Analog Devices AD799x ADC driver
    - AD7476: Analog Devices AD7475/6/7/8 AD7466/7/8 and AD7495 ADC driver
    - ATH6K_LEGACY: Atheros AR6003 support (non mac80211)
      - ATH6KL_ENABLE_COEXISTENCE: BT Coexistence support
        - Enabled; defaults to n
      - ATH6KL_HCI_BRIDGE: HCI over SDIO support
        - Enabled; defaults to n
	- ATH6KL_CONFIG_GPIO_BT_RESET: Configure BT Reset GPIO
	- Disabled; defaults to n
	- Maybe should be enabled?
      - ATH6KL_CFG80211: CFG80211 support
        - Enabled; defaults to n
      - ATH6KL_HTC_RAW_INTERFACE: RAW HTC support
        - Enabled; defaults to n
      - ATH6KL_VIRTUAL_SCATTER_GATHER: Virtual Scatter-Gather support
        - Enabled; defaults to n
      - ATH6KL_SKIP_ABI_VERSION_CHECK: Skip ABI version check support
        - Disabled; defaults to n
      - ATH6KL_DEBUG: Debug support
        - Disabled; defaults to n

  - Driver options:
    - ATH9K_RATE_CONTROL: Atheros ath9k rate control
      - Enabled; defaults to y
    - IWLWIFI_DEBUG_EXPERIMENTAL_UCODE: Experimental uCode support in iwlwifi
      - Disabled; defaults to n
      - Users wanting to replace their microcode can build their own kernels
    - P54_SPI_DEFAULT_EEPROM: Include fallback EEPROM blob (Prism54)
      - Disabled; defaults to n
    - VIDEO_SAA7134_RC: Philips SAA7134 Remote Controller support
      - Enabled; defaults to y
    - SND_HDA_CODEC_HDMI: HDMI/DisplayPort HD-audio codec support for
                          Intel HD Audio
      - Enabled; defaults to y
    - LOGIWII_FF: Logitech Speed Force Wireless force feedback support
      - Enabled; defaults to y
    - KVM_MMU_AUDIT: Audit KVM MMU
      - Enabled; defaults to n
      - Adds a R/W module parameter which allows auditing at runtime
    - MMC_BLOCK_MINORS: Number of minors per MMC block device
      - Set to 8; defaults to 8
    - LINE6_USB_DEBUG: Line6 USB - print debug messages
      - Disabled; defaults to n
    - LINE6_USB_DUMP_CTRL: Line6 USB - dump control messages
      - Disabled; defaults to n
    - LINE6_USB_DUMP_MIDI: Line6 USB - dump MIDI messages
      - Disabled; defaults to n
    - LINE6_USB_DUMP_PCM: Line6 USB - dump PCM data
      - Disabled; defaults to n
    - LINE6_USB_RAW: Line6 USB - raw data communication
      - Disabled; defaults to n
    - LINE6_USB_IMPULSE_RESPONSE: Line6 USB - measure impulse response
      - Measures the impulse response of a Line6 device
      - Disabled; defaults to n
      - Not required for normal operation

  - Disabled drivers:
    - MFD_WM831X_SPI: Wolfson Microelectronics WM831x/2x PMICs with SPI
      - Only available in static kernel

-------------------------------------------------------------------
Tue Oct 26 21:55:06 CEST 2010 - trenn@suse.de

- Enable ACPI_EC_DEBUGFS=m for Embedded Controller debug facility

-------------------------------------------------------------------
Mon Oct 25 12:55:06 CEST 2010 - jbeulich@novell.com

- */xen: X86_MSR=m (to discourage use without considering whether
  the intended context is a virtual or a physical CPU)

-------------------------------------------------------------------
Wed Aug 18 00:18:28 CEST 2010 - jeffm@suse.de

- Updated to 2.6.36-rc1:
  - ACPI_EC_DEBUGFS: EC read/write access through /sys/kernel/debug/ec
    - Debugging feature for developing ACPI EC drivers
    - Can put system in a state that can only be recovered from
      by a full power cycle
    - Disabled; defaults to n

  - ACPI_APEI_ERST_DEBUG: EI Error Record Serialization Table (ERST) Debug
    Support
    - Debugging feature for testing ERST
    - Disabled; defaults to n

  - INTEL_IDLE: Cpuidle Driver for Intel Processors
    - Has processor-specific support that may perform better than acpi_idle
    - Enabled; defaults to n

  - OLPC_OPENFIRMWARE: Support for OLPC's Open Firmware
    - Enabled on i386-default only, depends on !X86_64 and !X86_PAE
    - Enabled; defaults to y

  - NETWORK_PHY_TIMESTAMPING: Timestamping in PHY devices
    - Adds overhead to the transmit/receive path
    - Disabled; defaults to n

  - BT_HCIUART_ATH3K: Atheros AR300x serial support
    - This protocol enables AR300x chips to be enabled with power
      management support.
    - Enabled; defaults to n

  - HPWDT_NMI_DECODING: NMI decoding support for the HP ProLiant iLO2+
    Hardware Watchdog Timer
    - Option for driver already configured as module
    - Enabled; defaults to n

  - New netfilter modules:
    - NETFILTER_XT_TARGET_CHECKSUM: CHECKSUM target support
    - NETFILTER_XT_TARGET_IDLETIMER: IDLETIMER target support
    - NETFILTER_XT_MATCH_CPU: "cpu" match support
      - Allows matching based on the cpu handling the packet
    - NETFILTER_XT_MATCH_IPVS: "ipvs" match support
      - Allows matching against the IPVS properties of a packet

  - New driver support; all are modular:
   - CAN_ESD_USB2: ESD USB/2 CAN/USB interface
    - SENSORS_BH1780: ROHM BH1780GLI ambient light sensor
    - HMC6352: Honeywell HMC6352 compass
    - BMP085: BMP085 digital pressure sensor
    - FIREWIRE_NOSY: Nosy - a FireWire traffic sniffer for PCILynx cards
    - CHELSIO_T4VF: Chelsio Communications T4 Virtual Function Ethernet support
    - WL1271_SDIO: TI wl1271 SDIO support
    - KEYBOARD_MCS: MELFAS MCS Touchkey
    - TOUCHSCREEN_AD7879_SPI: AD7879-1/AD7889-1 SPI bus support
    - TOUCHSCREEN_CY8CTMG110: cy8ctmg110 touchscreen
    - TOUCHSCREEN_QT602240: QT602240 I2C Touchscreen
    - INPUT_ADXL34X: Analog Devices ADXL34x Three-Axis Digital Accelerometer
      - INPUT_ADXL34X_I2C: I2C bus connection
      - INPUT_ADXL34X_SPI: SPI bus connection
    - SERIAL_MAX3107: MAX3107 support
    - SERIAL_MRST_MAX3110: SPI UART driver for Max3110
      - MRST_MAX3110_IRQ: GPIO IRQ over Moorestown
    - SERIAL_MFD_HSU: Medfield High Speed UART support
    - I2C_MUX: I2C bus multiplexing support
    - I2C_MUX_PCA954x: Philips PCA954x I2C Mux/switches
    - SENSORS_PKGTEMP: Intel processor package temperature sensor
    - SENSORS_JC42: JEDEC JC42.4 compliant temperature sensors
    - SENSORS_SMM665: Summit Microelectronics SMM665
    - SENSORS_EMC2103: SMSC EMC2103
    - F71808E_WDT: Fintek F71808E and F71882FG Watchdog
    - MFD_TPS6586X: TPS6586x Power Management chips
    - REGULATOR_ISL6271A: Intersil ISL6271A Power regulator
    - REGULATOR_AD5398: Analog Devices AD5398/AD5821 regulators
    - REGULATOR_TPS6586X: TI TPS6586X Power regulators
    - IR_LIRC_CODEC: Enable IR to LIRC bridge
    - IR_MCEUSB: Windows Media Center Ed. eHome Infrared Transceiver
    - IR_ENE: ENE eHome Receiver/Transciever
    - IR_STREAMZAP: Streamzap PC Remote IR Receiver
    - USB_GSPCA_SPCA1528: SPCA1528 USB Camera Driver
    - USB_GSPCA_SQ930X: SQ Technologies SQ930X based USB Camera Driver
    - HID_ACRUX_FF: ACRUX force feedback support
    - HID_ELECOM: ELECOM
    - CAIF_SPI_SLAVE: CAIF SPI transport driver for slave interface
    - CAIF_SPI_SYNC: Next command and length in start of frame
      - Needs to also be enabled on the modem
      - Disabled; Defaults to n
    - USB_SERIAL_SSU100: USB Quatech SSU-100 Single Port Serial Driver
    - RTC_DRV_DS3232: Dallas/Maxim DS3232
    - RTC_DRV_ISL12022: Intersil ISL12022
    - INTEL_MID_DMAC: Intel MID DMA support for Peripheral DMA controllers
    - PCH_DMA: Topcliff PCH DMA support
    - DRM_I2C_SIL164: Silicon Image sil164 TMDS transmitter
    - SPECTRA: Denali Spectra Flash Translation Layer
    - SENSORS_HMC5843: Honeywell HMC5843 3-Axis Magnetometer
    - ZRAM: Compressed RAM block device support
      - ZRAM_STATS: Enable statistics for compressed RAM disks (=y)
    - ATM_NICSTAR: IDT 77201 (NICStAR) (ForeRunnerLE)
      - ATM_NICSTAR_USE_SUNI: suni PHY driver (155Mbps) (=y)
      - ATM_NICSTAR_USE_IDT77105: IDT77015 PHY driver (25Mbps) (=y)
    - TWL6030_PWM: TWL6030 PWM (Pulse Width Modulator) Support
    - ZFCP_DIF: T10 DIF/DIX support for the zfcp driver
    - VIDEO_SH_MOBILE_CSI2: SuperH Mobile MIPI CSI-2 Interface driver

  - Staging drivers, enabled as modules:
    - LIRC_STAGING: Linux Infrared Remote Control IR receiver/transmitter
      drivers
      - LIRC_BT829: BT829 based hardware
      - LIRC_I2C: I2C Based IR Receivers
      - LIRC_IGORPLUGUSB: Igor Cesko's USB IR Receiver
      - LIRC_IMON: Legacy SoundGraph iMON Receiver and Display
      - LIRC_IT87: ITE IT87XX CIR Port Receiver
      - LIRC_ITE8709: ITE8709 CIR Port Receiver
      - LIRC_SASEM: Sasem USB IR Remote
      - LIRC_SERIAL: Homebrew Serial Port Receiver
        - LIRC_SERIAL_TRANSMITTER: Serial Port Transmitter (=y)
      - LIRC_PARALLEL: Homebrew Parallel Port Receiver
      - LIRC_SIR: Built-in SIR IrDA port
      - LIRC_TTUSBIR: Technotrend USB IR Receiver
      - LIRC_ZILOG: Zilog/Hauppauge IR Transmitter
    - EASYCAP: A/V driver for EasyCAP cards
    - SOLO6X10: Softlogic 6x10 MPEG codec cards
    - ACPI_QUICKSTART: ACPI Quickstart key driver
    - IDEAPAD_ACPI: Lenovo IdeaPad ACPI Laptop Extras
    - INTEL_IPS: Intel Intelligent Power Sharing
    - HYPERV_BLOCK: Microsoft Hyper-V virtual block driver

  - File systems
    - FANOTIFY: Filesystem wide access notification (=y)
      - FANOTIFY_ACCESS_PERMISSIONS: fanotify permissions checking (=y)
    - Squashfs options
      - SQUASHFS_XATTR: Squashfs XATTR support (=y)
      - SQUASHFS_LZO: Include support for LZO compressed file systems (=y)
    - NFS options
      - NFS_USE_LEGACY_DNS: Use the legacy NFS DNS resolver (=n)
    - CIFS options
      - CIFS_FSCACHE: Provide CIFS client caching support (=n)
        - Experimental

  - Other options:
    - LOCKUP_DETECTOR: Detect Hard and Soft Lockups (=y)
      - BOOTPARAM_SOFTLOCKUP_PANIC: Panic (Reboot) On Soft Lockups (=n)
    - DEBUG_INFO_REDUCED: Reduce debugging information (=n)
      - We split out debuginfo so disk space savings at the expense of
        completeness is a disadvantage
    - CRYPTO_MANAGER_TESTS: Run algolithms' self-tests (=y)

  - Drivers that are disabled, for not having module support
    - GPIO_SX150X: Semtech SX150x I2C GPIO expander
    - MFD_STMPE: Support STMicroelectronics STMPE
    - MFD_MAX8998: Maxim Semiconductor MAX8998 PMIC Support
    - PPC_MPC512x: 512x-based boards (ppc only)

  - TI_ST: shared transport core driver
    - Now disabled. Doesn't build.

-------------------------------------------------------------------
Mon Aug  9 16:28:00 CEST 2010 - jbeulich@novell.com

- PCI_IOMULTI=m (option changed from bool to tristate)

-------------------------------------------------------------------
Thu Jul 15 08:24:41 UTC 2010 - bphilips@novell.com

- X86_MRST: Disable moorsetown since it deselects SERIO_I8042
  - See 0b28bac5aef7bd1ab213723df031e61db9ff151a, fixed in -tip but we
    still don't want X86_MRST

-------------------------------------------------------------------
Wed Jul 14 13:50:16 UTC 2010 - jeffm@novell.com

- Updated to 2.6.35-rc6:
  - KEYBOARD_QT2160: Atmel AT42QT2160 Touch Sensor Chip
    - Enabled as module; defaults to n

  - LEDS_CLEVO_MAIL: Mail LED on Clevo notebook
    - Enabled as m; defaults to n

  - ACER_WMI: Acer WMI Laptop Extras
    - Enabled as m; defaults to n

  - DELL_LAPTOP: Dell Laptop Extras
    * EXPERIMENTAL
    - Enabled as m; defaults to n

-------------------------------------------------------------------
Wed Jul 14 13:50:16 UTC 2010 - bphilips@novell.com

- CGROUPS: Enable cgroup options on -desktop to support systemd

-------------------------------------------------------------------
Mon Jun  7 16:58:57 CEST 2010 - jeffm@suse.de

- Updated to 2.6.35-rc2:
  - EDAC_I7CORE: EDAC support for Intel i7 Core (Nehalem) processors
    - Enabled as module; defaults to n

  - FB_XGI: XGI display support
    * STAGING
    - Enabled as module; defaults to n

  - TOUCHSCREEN_INTEL_MID: Intel MID platform resistive touchscreen
    * STAGING
    - Enabled as module; defaults to y

  -

-------------------------------------------------------------------
Tue Jun  1 20:47:14 CEST 2010 - jeffm@suse.de

- Updated to 2.6.35-rc1:
  - COMPACTION: Allow for memory compaction
    - Allows for defragmentation of movable memory (userspace and
      reclaimable pages), allowing higher order allocations to
      succeed even on long-running systems
    - Reports indicate 90% allocable as huge pages with less
      reclaim activity
    * Performance impact investigation needed
    - Enabled; defaults to n

  - ACPI_HED: Hardware Error Device
    - Device used for hardware error reporting
    - Enabled as modules; defaults to n

  - ACPI_APEI: ACPI Platform Error Interface
    - Allows error reporting, serialization, and injection
    - Enabled; defaults to n

  - ACPI_APEI_GHES: APEI Generic Hardware Error Source
    - Allows use of firmware-first error reporting, allowing
      the firmware to interpret errors in a manner that Linux
      alone would not be able to do.
    - Enabled as module; defaults to n

  - ACPI_APEI_EINJ: APEI Error Injection
    - Provides an error injection mechanism for testing and debugging
    - Enabled as module; defaults to n

  - INTEL_IDLE: Cpuidle Driver for Intel Processors
    - cpuidle driver that includes knowledge of native Intel hardware
      idle features
    - Can work in tandem with ACPI_IDLE to handle processors that
      this driver doesn't support.
    - Enabled as module; defaults to n

  - PCI_CNB20LE_QUIRK: Read CNB20LE Host Bridge Windows
    - Read the PCI windows out of the CNB20LE host bridge.
    - Adding quirks seems like an easy to to support more hardware
    * Could use examination by PCI expert.
    - Enabled; defaults to n

  - IP_MROUTE_MULTIPLE_TABLES: IP: multicast policy routing
    - Allows multicast routing to take interface and packet marks into account
    - Allows multiple userspace daemons to handle routing
    - Enabled; defaults to n

  - NETFILTER_XT_TARGET_TEE: TEE" - packet cloning to alternate destiantion
    - Allows packets to be cloned and rerouted to another nexthop
    - Enabled as module; defaults to n

  - NET_SCTPPROBE: SCTP: Association probing
    - This module allows for capturing the changes to SCTP association
      state in response to incoming packets.
    - Used for debugging but is a module
    - Enabled as module; defaults to n

  - L2TP: Layer Two Tunneling Protocol
    - Allows tunneling of layer 2 traffic
    - Often used as a VPN protocol or for routing many PPP connections
      over IP
    - Enabled as module; defaults to n

  - L2TP_DEBUGFS: L2TP debugfs support
    - Export l2tp internal state to debugfs
    - Recommended m
    - Enabled as module; defaults to n

  - L2TP_V3: L2TPv3 support
    - Experimental
    - Allows tunneling of raw ethernet frames
    - Enabled; defaults to n

  - L2TP_IP: L2TP IP encapsulation for L2TPv3
    - Support for L2TP-over-IP socket family.
    - Allows tunneling over l2tp/ip instead of udp
    - Uses IP protocol 115
    - Enabled as module; defaults to n

  - L2TP_ETH: L2TP ethernet pseudowire support for L2TPv3
    - Support for carrying raw ethernet frames over L2TPv3.
    - Enabled as module; defaults to n

  - BT_L2CAP_EXT_FEATURES: L2CAP Extended Features support
    - This option enables the L2CAP Extended Features support.
    - Experimental
    - "You should say N unless you know what you are doing."
    - Disabled; defaults to n

  - CAIF: CAIF support
    - Communication CPU to Application CPU Interface
    - Enabled as m; defaults to n

  - CAIF_DEBUG: Enabled debug (for CAIF)
    - Disabled; defaults to n

  - CAIF_NETDEV: CAIF GPRS Network device
    - Required by CAIF as a module
    - Enabled as module; defaults to n

  - SM_FTL: SmartMedia/xD new translation layer
    - This enables new and very EXPERMENTAL support for SmartMedia/xD
    - Experimental and may eat data
    - Disabled; defaults to n


  - MTD_PCMCIA: PCMCIA MTD driver
    - Map driver for accessing PCMCIA linear flash memory cards.
    - Enabled as module; defaults to n

  - MTD_PCMCIA_ANONYMOUS: Use PCMCIA MTD drivers for anonymous PCMCIA cards
    - If this option is enabled, PCMCIA cards which do not report
      anything about themselves are assumed to be MTD cards.
    - Disabled; defaults to n

  - MTD_NAND_DENALI: Support Denali NAND controller on Intel Moorestown
    - Enabled as module; defaults to n

  - MTD_NAND_DENALI_SCRATCH_REG_ADDR: Denali NAND size scratch register address
    - Set to 0xFF108018 (default)

  - MTD_NAND_RICOH: Ricoh xD card reader
    - Enable support for Ricoh R5C852 xD card reader
    - Enabled as module; defaults to n

  - AD525X_DPOT_I2C: support I2C bus connection
    - Enabled as module; defaults to n

  - AD525X_DPOT_SPI: support SPI bus connection
    - Enabled as module; defaults to n

  - SATA_AHCI_PLATFORM: Platform AHCI SATA support
    - Enabled as module; defaults to n

  - ATA_BMDMA: ATA BMDMA support
    - BMDMA stands for bus-master DMA and the de-facto DMA interface for
      SFF controllers.
    - Enabled; defaults to y

  - LIBERTAS_THINFIRM_DEBUG: Enable full debugging output in the Libertas
    thin firmware module.
    - Disabled; defaults to n

  - ATH9K_HTC: Atheros HTC based wireless cards support
    - Support for Atheros HTC based cards.
    - Enabled as module; defaults to n

  - ATH9K_HTC_DEBUGFS: Atheros ath9k_htc debugging
    - Disabled; defaults to n

  - IWM_TRACING: Enable event tracing for iwmc3200wifi
    - Disabled; defaults to n

  - HERMES_PRISM: Support Prism 2/2.5 chipset
    - "These chipsets are better handled by the hostap driver."
    - Disabled; defaults to n

  - ORINOCO_USB: Agere Orinoco USB support
    - Enabled as module; defaults to n

  - WL1271_SPI: TI wl1271 SPI support
    - Enabled as module; defaults to n

  - CAIF_TTY: CAIF TTY transport driver
    - Allows the tty interface to use the CAIF stack
    - Enabled as module; defaults to n

  - KEYBOARD_TCA6416: TCA6416 Keypad Support
    - Enabled as module; defaults to n

  - TOUCHSCREEN_HAMPSHIRE: Hampshire serial touchscreen
    - Enabled as module; defaults to n

  - TOUCHSCREEN_TPS6507X: TPS6507x based touchscreens
    - Enabled as module; defaults to n

  - INPUT_AD714X: Analog Devices AD714x Capacitance Touch Sensor
    - Enabled as module; defaults to n

  - INPUT_AD714X_I2C: support I2C bus connection
    - Enabled as module; defaults to n

  - INPUT_AD714X_SPI: support SPI bus connection
    - Enabled as module; defaults to n

  - INPUT_PCF8574: PCF8574 Keypad input device
    - Enabed as module; defaults to n

  - N_GSM: GSM MUX line discipline support
    - This line discipline provides support for the GSM MUX protocol and
      presents the mux as a set of 61 individual tty devices.
    - Enabled as module; defaults to n

  - SERIAL_ALTERA_JTAGUART: Altera JTAG UART support
    - Enabled as module; defaults to n

  - SERIAL_ALTERA_UART: Altera UART support
    - Enabled as module; defaults to n

  - SERIAL_ALTERA_UART_MAXPORTS: Maximum number of Altera UART ports
    - Set to 4 (default)

  - SERIAL_ALTERA_UART_BAUDRATE: Default baudrate for Altera UART ports
    - Set to 115200 (default)

  - RAMOOPS: Log panic/oops to a RAM buffer
    - This enables panic and oops messages to be logged to a circular
      buffer in RAM where it can be read back at some later point.
    - Enabled as module; defaults to n

  - GPIO_RDC321X: RDC R-321x GPIO support
    - Enabled as module; defaults to n

  - TEST_POWER: Test power driver
    - Enabled as module; defaults to n

  - SENSORS_EMC1403: SMSC EMC1403 thermal sensor
    - Enabled as module; defaults to n

  - SENSORS_ADS7871: Texas Instruments ADS7871 A/D converter
    - Enabled as module; defaults to n

  - SENSORS_TMP102: Texas Instruments TMP102
    - Enabled as module; defaults to n

  - MFD_SUPPORT: Multifunction device drivers
    - Enabled (new option protecting old options that were enabled)

  - TPS6507X: TPS6507x Power Management / Touch Screen chips
    - Enabled as module; defaults to n

  - ABX500_CORE: ST-Ericsson ABX500 Mixed Signal Circuit register functions
    - No module option
    - Disabled; defaults to n

  - AB8500_CORE: ST-Ericsson AB8500 Mixed Signal Power Management chip
    - No module option
    - Disabled; defaults to n

  - MFD_RDC321X: Support for RDC-R321x southbridge
    - Enabled as module; defaults to m

  - MFD_JANZ_CMODIO: Support for Janz CMOD-IO PCI MODULbus Carrier Board
    - Enabled as module; defaults to n

  - RC_MAP: Compile Remote Controller keymap modules
    - Enabled as module; defaults to m

  - IR_NEC_DECODER: Enable IR raw decoder for the NEC protocol
    - Enabled as module; defaults to m

  - IR_RC5_DECODER: Enable IR raw decoder for the RC-5 protocol
    - Enabled as module; defaults to m

  - IR_RC6_DECODER: Enable IR raw decoder for the RC6 protocol
    - Enabled as module; defaults to m

  - IR_JVC_DECODER: Enable IR raw decoder for the JVC protocol
    - Enabled as module; defaults to m

  - IR_SONY_DECODER: Enable IR raw decoder for the Sony protocol
    - Enabled as module; defaults to m

  - IR_IMON: SoundGraph iMON Receiver and Display
    - Enabled as module; defaults to n

  - V4L_MEM2MEM_DRIVERS: Memory-to-memory multimedia devices
    - Say Y here to enable selecting drivers for V4L devices that
      use system memory for both source and destination buffers, as opposed
      to capture and output drivers, which use memory buffers for just
      one of those.
    - Enabled; defaults to n

  - VIDEO_MEM2MEM_TESTDEV: Virtual test device for mem2mem framework
    - This is a virtual test device for the memory-to-memory driver
    - Enabled as module; defaults to n

  - FB_VIA_DIRECT_PROCFS: direct hardware access via procfs
    * DEPRECATED
    * DANGEROUS
    - Disabled; defaults to n

  - LCD_S6E63M0: S6E63M0 AMOLED LCD Driver
    - Enabled as module; defaults to n

  - BACKLIGHT_ADP8860: Backlight Driver for ADP8860/ADP8861/ADP8863 using WLED
    - Enabled as module; defaults to n

  - SND_ASIHPI: AudioScience ASIxxxx
    - Enabled as module; defaults to n

  - SND_ES1968_INPUT: Enable input device for es1968 volume buttons
    - Recommended y
    - Enabled; defaults to n

  - SND_MAESTRO3_INPUT: Enable input device for maestro3 volume buttons
    - Recommended y
    - Enabled; defaults to n

  - HID_CANDO: Cando dual touch panel
    - Enabled as module; defaults to n

  - HID_PRODIKEYS: Prodikeys PC-MIDI Keyboard support
    - Enabled as module; defaults to n

  - HID_EGALAX: eGalax multi-touch panel
    - Enabled as module; defaults to n

  - HID_PICOLCD: PicoLCD (graphic version)
    - Enabled as module; defaults to n

  - HID_ROCCAT: Roccat special event support
    - Enabled as module; defaults to n

  - HID_ROCCAT_KONE: Roccat Kone Mouse support
    - Enabled as module; defaults to n

  - HID_WACOM_POWER_SUPPLY: Wacom Bluetooth devices power supply status support
    - Enabled; defaults to n

  - HID_ZYDACRON: Zydacron remote control support
    - Enabled as module; defaults to n

  - USB_SERIAL_MOS7715_PARPORT: Support for parallel port on the Moschip 7715
    - Enabled; defaults to n

  - USB_SERIAL_ZIO: ZIO Motherboard USB serial interface driver
    - Enabled as module; defaults to n

  - LEDS_NET5501: LED Support for Soekris net5501 series Error LED
    - Enabled as module; defaults to n

  - LEDS_MC13783: LED Support for MC13783 PMIC
    - Enabled as module; defaults to n

  - INFINIBAND_CXGB4: Chelsio T4 RDMA Driver
    - Enabled as module; defaults to n

  - TIMB_DMA: Timberdale FPGA DMA support
    - Enabled as module; defaults to n

  - VIDEO_TM6000: TV Master TM5600/6000/6010 driver
    * STAGING
    - Enabled as module; defaults to n
    - VIDEO_TM6000_ALSA: TV Master TM5600/6000/6010 audio support
      - Enabled as module; defaults to n
    - VIDEO_TM6000_DVB: Support for tm6000 based TV cards
      - Enabled; defaults to n

  - COMEDI_FC: Comedi shared functions for low-level driver support
    * STAGING
    - Enabled as module; defaults to n

  - HYPERV_UTILS: Microsoft Hyper-V Utilities driver
    * STAGING
    - Enabled as module; defaults to n

  - MRST_RAR_HANDLER: RAR handler driver for Intel Moorestown platform
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16209: Analog Devices ADIS16209 Dual-Axis Digital Inclinometer
    and Accelerometer
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16220: Analog Devices ADIS16220 Programmable Digital Vibration
    Sensor driver
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16240: Analog Devices ADIS16240 Programmable Impact Sensor and Recorder
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16260: Analog Devices ADIS16260/5 Digital Gyroscope Sensor SPI driver
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16300: Analog Devices ADIS16300 IMU SPI driver
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16350: Analog Devices ADIS16350/54/55/60/62/64/65 IMU SPI driver
    * STAGING
    - Enabled as module; defaults to n

  - ADIS16400: Analog Devices ADIS16400/5 IMU SPI driver
    * STAGING
    - Enabled as module; defaults to n

  - WLAGS49_H2: Agere Systems HERMES II Wireless PC Card Model 0110
    * STAGING
    - Enabled as module; defaults to n

  - WLAGS49_H25: Linksys HERMES II.5 WCF54G_Wireless-G_CompactFlash_Card
    * STAGING
    - Enabled as module; defaults to n

  - VIDEO_DT3155: DT3155 frame grabber, Video4Linux interface
    * STAGING
    - Enabled as module; defaults to n
    - DT3155_CCIR: Selects CCIR/50Hz vertical refresh
      - Enabled; defaults to y (European region)

  - CXT1E1: SBE wanPMC-C[421]E1T1 hardware support
    * STAGING
    - Enabled as module; defaults to n
      - SBE_PMCC4_NCOMM: SBE PMCC4 NCOMM support
      - Enabled; defaults to n

  - TI_ST: shared transport core driver
    * STAGING
    - Enabled as module; defaults to n
    - ST_BT: BlueZ bluetooth driver for ST
      - Enabled as module; defaults to n

  - ADIS16255: Analog Devices ADIS16250/16255
    * STAGING
    - Enabled as module; defaults to n

    x86-specific:

  - INTEL_SCU_IPC: Intel SCU IPC Support
    - IPC is used to bridge the communications between kernel and SCU on
      some embedded Intel x86 platforms. This is not needed for PC-type
      machines.
    - Enabled; defaults to y

  - SQUASHFS_XATTRS: Squashfs XATTR support
    - Enabled; defaults to n

  - CPU_NOTIFIER_ERROR_INJECT: CPU notifier error injection module
    - Enabled as module; defaults to n

  - ATOMIC64_SELFTEST: Perform an atomic64_t self-test at boot
    - Disabled; defaults to n

  - KGDB_LOW_LEVEL_TRAP: KGDB: Allow debugging with traps in notifiers
    - Enabled; defaults to n

  - KGDB_KDB: KGDB_KDB: include kdb frontend for kgdb
    - Enabled; defaults to n
    - KDB_KEYBOARD: KGDB_KDB: keyboard as input device
      - Enabled; defaults to n

  - CAN_JANZ_ICAN3: Janz VMOD-ICAN3 Intelligent CAN controller
    - Enabled as module; defaults to n

  - GPIO_JANZ_TTL: Janz VMOD-TTL Digital IO Module
    - Enabled as module; defaults to n

  - MFD_TC35892: Support Toshiba TC35892
    - Disabled; defaults to n

  - MFD_WM8994: Support Wolfson Microelectronics WM8994
    - Disabled; defaults to n

  - INFINIBAND_QIB: QLogic PCIe HCA support
    - Enabled as module; defaults to n

  - ia64 and ppc:

  - NET_DMA: Network: TCP receive copy offload
    - Enabled already on x86/x86_64
    - Enabled; defaults to n

  - ASYNC_TX_DMA: Async_tx: Offload support for the async_tx api
    - Enabled already on x86/x86_64
    - Enabled; defaults to n

  - DMATEST: DMA Test client
    - Enabled as module already on x86/x86_64
    - Enabled as module; defaults to n

  - ppc
  - XILINX_LL_TEMAC: Xilinx LL TEMAC (LocalLink Tri-mode Ethernet MAC) driver
    - Enabled as module; defaults to n

  - KPROBE_EVENT: Enable kprobes-based dynamic events
    - Enabled on other arches
    - Enabled; defaults to y

  - IMA: Integrity Measurement Architecture(IMA)
    - Disabled on other arches
    - Disabled; defaults to n

  - KVM_BOOK3S_32: KVM support for PowerPC book3s_32 processors
    - Enabled as module; defaults to n

  - TCG_TIS: TPM Interface Specification 1.2 Interface
    - Enabled as module; defaults to n

  - DEBUG_PER_CPU_MAPS: Debug access to per_cpu maps
    - Disabled on x86/x86_64
    - Disabled; defaults to n

  - s390
  - VMCP: Support for the z/VM CP interface
    - Enabled; defaults to n

  - sparc64
  - TCG_TIS: TPM Interface Specification 1.2 Interface
    - Enabled as module; defaults to n

  - FB_TMIO: Toshiba Mobile IO FrameBuffer support
    - Hardware is only found on things like the Sharp Zaurus
    - Disabled; Defaults to n

-------------------------------------------------------------------
Tue May 25 12:20:47 CEST 2010 - jbeulich@novell.com

- XEN_DEV_EVTCHN=m for both -xen flavors (-ec2 already have this)

-------------------------------------------------------------------
Thu May 20 21:30:17 CEST 2010 - jeffm@suse.de

- Disabled CONFIG_RT2800PCI (bnc#606243)
  - These devices are handled by the rt2860 staging driver.

-------------------------------------------------------------------
Wed Apr 28 10:34:23 CEST 2010 - trenn@suse.de

- Update config files.
  Unify X86_MSR and X86_CPUID configs:
    - CONFIG_X86_CPUID=m
    - CONFIG_X86_MSR=y
  for all i386 and x86_64 flavors.
- Update -ec2 config files (X86_MSR=m again).

  MSRs are more and more used by userspace on X86. Unify all configs
  to =y.
  On -ec2 MSR access is restricted and not that important -> =m
  CPUID is not useful as it can be called in userspace as well, but
  some userspace progs may still need it -> =m

-------------------------------------------------------------------
Mon Apr 26 15:39:13 CEST 2010 - jeffm@suse.de

- Disabled CONFIG_TUNE_CELL on ppc64 (bnc#599045)
  - gcc 4.5 appears to issue invalid instructions, but even if
    that is not the case or the issue is fixed, it was an optimization
    for the cell processor that will most likely not be used
    on most hardware.

-------------------------------------------------------------------
Mon Apr 26 03:07:40 CEST 2010 - jeffm@suse.de

- Enabled CONFIG_FIREWIRE (bnc#586172)
  - CONFIG_IEEE1394 is still enabled but deprecated.

-------------------------------------------------------------------
Sun Mar 21 22:54:05 CET 2010 - jeffm@suse.de

- Updated to 2.6.34-rc2.
  - USB_NET_SMSC75XX: SMSC LAN75XX based USB 2.0 gigabit ethernet devices
    - Enabled as module; Defaults to n

  - LCD_L4F00242T03: Epson L4F00242T03 LCD
    - Enabled as module; Defaults to n

  - LEDS_DELL_NETBOOKS: External LED on Dell Business Netbooks
    - Enabled as module; Defaults to n

  - CEPH_FS: Ceph distributed file system
    - Enabled as module; Defaults to n

  - CEPH_FS_PRETTYDEBUG: Include file:line in ceph debug output
    - Enabled; Defaults to n
    - Better debugging output at the cost of a larger module
    - Only used with dynamic printk so it doesn't affect performance

-------------------------------------------------------------------
Wed Mar 17 16:40:52 CET 2010 - jeffm@suse.de

- Updated to 2.6.34-rc1-git6.
  - PPS_CLIENT_KTIMER: Kernel timer client (Testing client, use for debug)
    - Disabled; Defaults to n

  - PPS_CLIENT_LDISC: PPS line discipline
    - Enabled as module; Defaults to n

  - INPUT_TWL4030_VIBRA: TWL4030 Vibrator
    - Enabled as module; Defaults to n

-------------------------------------------------------------------
Wed Mar 10 22:08:55 CET 2010 - jeffm@suse.de

- CONFIG_DRM_RADEON_KMS: Enable modesetting on radeon by default - NEW DRIVER
  - Enabled; No default
  - KMS-supported X.org driver is now in Factory:
    http://lists.opensuse.org/archive/opensuse-commit/2010-03/msg00252.html

-------------------------------------------------------------------
Tue Mar  9 23:54:32 CET 2010 - jeffm@suse.de

- Updated to 2.6.34-rc1.
  x86/x86_64:
  - RCU_FAST_NO_HZ: Accelerate last non-dyntick-idle CPU's grace periods
    - Available on all arches, defaults to n
    - Disabled except for i386/{default,desktop} and x86_64/desktop
    - Provides better energy efficiency on systems without large
      numbers of CPUs.

  - OPTPROBES: Kprobes jump optimization support
    - Only available on x86/x86_64, defaults to y
    - Feature is enabled at runtime via debug.kprobes_optimization sysctl

  - NO_BOOTMEM: Disable Bootmem code
    - Only available on x86/x86_64, defaults to y
    - Reduces a layer between early allocator and final allocator

  - XEN: Xen guest support
    - Disabled; Defaults to n

  - PATA_LEGACY: Legacy ISA PATA support
    - Disabled; Defaults to n

  ia64:
  - OPROFILE: OProfile system profiling
    - Enabled as module; Defaults to n

  powerpc:
  - SPI_DW_MMIO: Memory-mapped io interface driver for DW SPI core
    - Enabled as module; Defaults to n

  powerpc/ps3:
  - LKDTM: Linux Kernel Dump Test Tool Module
    - Disabled; Defaults to n

  s390:
  - KERNEL_GZIP: Allow creation of bzImage with gzip compression

  - SMSGIUCV_EVENT: Deliver IUCV special messages as uevents (VM only)
    - Enabled as module; Defaults to n

  - KPROBE_EVENT: Enable kprobes-based dynamic events
    - Enabled; Defaults to y

  - DEBUG_STRICT_USER_COPY_CHECKS: Strict user copy size checks
    - Enabled; Defaults to n
    - This is a compile-time option that forces gcc to issue warnings
      if there are potentially unsafe uses of copy_from_user


  Architecture agnostic:

  - PM_ADVANCED_DEBUG: Extra PM attributes in sysfs for low-level
                       debugging/testing
    - Available on all arches, defaults to n
    - Enabled on all arches
    - Acts as a guard for other options, no code difference

  - NETFILTER_XT_TARGET_CT: "CT" target support
    - Enabled as module; Defaults to n
    - Adds support for a connection tracking target. Used in conjuction with
      zones.

  - IP_VS_PROTO_SCTP: SCTP load balancing support
    - Enabled; Defaults to n
    - Adds SCTP support to IPVS

  - NF_CONNTRACK_ZONES: Connection tracking zones
    - Enabled; Defaults to n
    - Adds zone support to connection tracking. Zones seem to be similar to
      network namespaces but limited just to connection tracking so there
      is much less overhead.

  - BRIDGE_IGMP_SNOOPING: IGMP snooping
    - Enabled; Defaults to y

  Drivers:
  - CAN_PLX_PCI: PLX90xx PCI-bridge based Cards
    - Enabled as module; Defaults to n

  - MACVTAP: MAC-VLAN based tap driver
    - Enabled as module; Defaults to n

  - KSZ884X_PCI: Micrel KSZ8841/2 PCI
    - Enabled as module; Defaults to n

  - IXGBEVF: Intel(R) 82599 Virtual Function Ethernet support
    - Enabled as module; Defaults to n

  - QLCNIC: QLOGIC QLCNIC 1/10Gb Converged Ethernet NIC Support
    - Enabled as module; Defaults to n

  - LIBERTAS_MESH: Enable mesh support
    - Enabled; Defaults to n
    - This option factored out mesh support from the driver to allow it to be
      disabled. Enabling it keeps the previous functionality.

  - RT2800PCI_RT30XX: rt2800pci - Include support for rt30xx
  - RT2800PCI_RT35XX: rt2800pci - Include support for rt35xx
  - RT2800USB_RT30XX: rt2800usb - Include support for rt30xx
  - RT2800USB_RT35XX: rt2800usb - Include support for rt35xx
  - RT2800USB_UNKNOWN: rt2800usb - Include support for unknown (USB) devices
    - Disabled; Defaults to n
    - Support for these devices is currently not functional
    - Testers may enable support for these devices via the sysfs new_id
      interface, but enabling them by default would just confuse users

  - SERIAL_TIMBERDALE: Timberdale UART
    - Enabled as module; Defaults to n

  - I2C_XILINX: Xilinx I2C Controller
    - (Should be) Enabled as module; Defaults to n
    - Temporarily disabled due to missing include

  - GPIO_IT8761E: IT8761E GPIO support
    - Enabled as module; Defaults to n

  - GPIO_SCH: Intel SCH GPIO
    - Enabled as module; Defaults to n

  - GPIO_MAX7300: Maxim MAX7300 GPIO expander
    - Enabled as module; Defaults to n

  - SENSORS_ADT7411: Analog Devices ADT7411
    - Enabled as module; Defaults to n

  - SENSORS_ASC7621: Andigilog aSC7621
    - Enabled as module; Defaults to n

  - MAX63XX_WATCHDOG: Max63xx watchdog
    - Enabled as module; Defaults to n

  - MFD_WM8994: Wolfson Microelectronics WM8994
    - Enabled as module; Defaults to n

  - MFD_TIMBERDALE: Timberdale FPGA
    - Enabled as module; Defaults to n

  - LPC_SCH: Intel SCH LPC
    - Enabled as module; Defaults to n

  - REGULATOR_DUMMY: Provide a dummy regulator if regulator lookups fail
    - Enabled; Defaults to n

  - REGULATOR_MAX8649: Maxim 8649 voltage regulator
    - Enabled as module; Defaults to n

  - REGULATOR_WM8994: Wolfson Microelectronics WM8994 CODEC
    - Enabled as module; Defaults to n

  - VIDEO_CX18_ALSA: Conexant 23418 DMA audio support
    - Enabled as module; Defaults to n

  - USB_GSPCA_BENQ: Benq USB Camera Driver
    - Enabled as module; Defaults to n

  - USB_GSPCA_CPIA1: cpia CPiA (version 1) Camera Driver
    - Enabled as module; Defaults to n

  - USB_GSPCA_OV534_9: OV534 OV965x USB Camera Driver
    - Enabled as module; Defaults to n

  - USB_GSPCA_SN9C2028: SONIX Dual-Mode USB Camera Driver
    - Enabled as module; Defaults to n

  - VIDEO_TLG2300: Telegent TLG2300 USB video capture support
    - Enabled as module; Defaults to n

  - RADIO_SAA7706H: SAA7706H Car Radio DSP
    - Enabled as module; Defaults to n

  - RADIO_TIMBERDALE: Timberdale radio driver
    - Enabled as module; Defaults to n

  - DVB_USB_AZ6027: Azurewave DVB-S/S2 USB2.0 AZ6027
    - Enabled as module; Defaults to n

  - DVB_NGENE: Micronas nGene support
    - Enabled as module; Defaults to n

  - VGA_ARB_MAX_GPUS: Maximum number of GPUs
    - 16; Defaults to 16

  - VGA_SWITCHEROO: Laptop Hybrid Grapics - GPU switching support
    - Enabled; Defaults to n
    - Allows switching between multiplexed GPUs on many laptops released
      in the past few years

  - SND_JAZZ16: Media Vision Jazz16 card and compatibles
    - Enabled as module only on i386/default; Defaults to n

  - SND_USB_UA101: Edirol UA-101/UA-1000
    - Enabled as module; Defaults to n

  - HID_3M_PCT: 3M PCT
    - Enabled as module; Defaults to n

  - LOGIG940_FF: Logitech Flight System G940 force feedback
    - Enabled; Defaults to n
    - Enables support for the device within the Logitech HID module

  - HID_MAGICMOUSE: Apple MagicMouse multi-touch support
    - Enabled as module; Defaults to n

  - HID_MOSART: MosArt
    - Enabled as module; Defaults to n

  - HID_QUANTA: Quanta Optical Touch
    - Enabled as module; Defaults to n

  - HID_STANTUM: Stantum
    - Enabled as module; Defaults to n

  - USB_SERIAL_QCAUX: USB Qualcomm Auxiliary Serial Port Driver
    - Enabled as module; Defaults to n

  - USB_SERIAL_VIVOPAY_SERIAL: USB ViVOpay serial interface driver
    - Enabled as module; Defaults to n

  - MMC_RICOH_MMC: Ricoh MMC Controller Disabler
    - Enabled; Defaults to n
    - This allows users with some Ricoh-based multifunction card readers to
      use their MMC cards. The multifunction device supports both SD and MMC
      in hardware but Linux only has a driver for the SD portion. The SD
      driver can read the MMC cards, but only if the MMC hardware is not
      allowed to claim the card first.

  - DMADEVICES_DEBUG: DMA Engine debugging
    - Disabled; Defaults to n

  - UIO_NETX: Hilscher NetX Card driver
    - Enabled as module; Defaults to n

  - USB_IP_DEBUG_ENABLE: USB-IP Debug Enable
    - Disabled; Defaults to n
    - This only sets the flag to enable the debug behavior by default

  - VMIVME_7805: VMIVME-7805
    - Enabled as module; Defaults to n

  - BATMAN_ADV_DEBUG: B.A.T.M.A.N. debugging
    - Enabled; Defaults to n
    - This allows the debugging output but does not enable it by default.

  - DT3155: DT3155 Digitizer
    - Enabled as module; Defaults to n

  - CRYSTALHD: Broadcom Crystal HD video decoder
    - Enabled as module; Defaults to n

  - LOGFS: LogFS file system
    - Enabled as module; Defaults to n

  - CRYPTO_PCRYPT: Parallel crypto engine
    - Enabled as module; Defaults to n

  - VHOST_NET: Host kernel accelerator for virtio net
    - Enabled as module; Defaults to n

  - SERIAL_UARTLITE: Xilinx uartlite serial port
    - Enabled as module; Defaults to n

  - GPIO_WM8994: WM8994 GPIOs
    - Enabled as module; Defaults to n

  - GPIO_TIMBERDALE: Timberdale GPIO IP
    - Disabled; Defaults to n
    - Should probably be available as a module

  - MFD_88PM860X: Marvell 88PM8606/88PM8607
    - Disabled; Defaults to n
    - Should probably be available as a module

  - HTC_I2CPLD: HTC I2C PLD chip
    - Disabled; Defaults to n
    - Should probably be available as a module

  - MFD_MAX8925: Maxim Semiconductor MAX8925 PMIC
    - Disabled; Defaults to n
    - Should probably be available as a module

  - AB3100_CORE: ST-Ericsson AB3100 Mixed Signal Circuit core functions
    - Disabled; Defaults to n
    - Should probably be available as a module

